getProductChildren.v1
This pipeline retrieves the child products of a given product.
Request Body
Section titled “Request Body”object
Only active products would be fetched by default, to fetch inactive products too, set this to true
Responses
Section titled “Responses”Successful response.
object
A basic product entity, that is used for search results or categoryviews
object
The unique product id of this product inside the shop (in old cake system: product_number)
If this product is active or not
object
Text to describe the availability of this product
A kind of flag, that describes the availability state of this product
object
Should always be used for visual representation instead of id if not explicitly given, this will be the same as id (product_number_public in cake)
The European Article Number of this product
The International Standard Book Number of this product
The Universal Product Code of this product
The “Pharmazentralnummer” of this product
The Manufacturer Product Number of this product
The manufacturer or brand of this product
The product name to display
object
A custom text concerning stock (see available_text in old cake system)
A boolean flag that determines if the product it orderable at all
The amount of products that are available
The maximum of amount of items that are orderable in one order
The minimu amount of items that have to be ordered of this product
If true, this will allow the customer to buy more products than are available in stock
The accumulated review data of this product
object
The amount of star-ratings
The average score of the star-ratings
The amount of reviews
The main image of this product, displayed in lists or search results
Base URL of the main image of this product, displayed in lists or search results. GET params for width, height, etc needs to be added.
object
A list of tier prices for this product, if available
object
The minimum order quantity for this tier to apply
The maximum order quantity for this tier to apply
The product price if this tier applies, already includes customer group discount
Additional text which should be displayed near the price, like “12,40€/kg” (amount_info_text in old cake system)
The price in the shop’s selected currency (unit_amount_display/100 in old cake system), which already includes possible customer group discounts
The crossed out price in the shop’s selected currency (unit_amount_display_old/100 in old cake system)
The price of the cheapest variant or child product in the shop’s selected currency (unit_amount_display_min/100 in old cake system), which already includes possible customer group discounts
The price of the most expensive variant or child product in the shop’s selected currency (unit_amount_display_min/100 in old cake system), which already includes possible customer group discounts
The net price in the shop’s selected currency (unit_amount_display/100 in old cake system)
The price with tax in the shop’s selected currency (unit_amount_display/100 in old cake system)
The amount of the taxes (unitPriceWithTax - unitPriceNet) in the shop’s selected currency
The tax percentage for product
The manufacturer’s suggested retail price in the shop’s selected currency
The currency code for this value
object
A flag that determines if this product has children, they have to be loaded separately at the detail page by using getProductChildren_v1 pipeline
A flag that determines if this product has variants, they have to be loaded separately at the detail page by using getProductVariants_v1 pipeline
A flag that determines if this product has options, they have to be loaded separately at the detail page by using getProductOptions_v1 pipeline
A list of liveshopping-timeframes for this product. By default it will load all timeframes, that ended in the last 7 days, are active or will start in the future.
object
The exact start-time for this liveshopping entry
The exact end-time for this liveshopping entry
True if the product is highlighted
Special kind of characteristics which are directly label/value mappings for a certain product. Will only be applied, if the product is a variant.
Type of the product
Example
{ "products": [ { "id": "string", "active": true, "availability": { "text": "string", "state": "ok" }, "identifiers": { "sku": "string", "ean": "string", "isbn": "string", "upc": "string", "pzn": "string", "mpn": "string" }, "manufacturer": "string", "name": "string", "stock": { "info": "string", "orderable": true, "quantity": 0, "maxOrderQuantity": 0, "minOrderQuantity": 0, "ignoreQuantity": true }, "rating": { "count": 0, "average": 0, "reviewCount": 0 }, "featuredImageUrl": "string", "featuredImageBaseUrl": "string", "price": { "tiers": [ { "from": 0, "to": 0, "unitPrice": 0 } ], "info": "string", "unitPrice": 0, "unitPriceStriked": 0, "unitPriceMin": 0, "unitPriceMax": 0, "unitPriceNet": 0, "unitPriceWithTax": 0, "taxAmount": 0, "taxPercent": 0, "msrp": 0, "currency": "USD" }, "flags": { "hasChildren": true, "hasVariants": true, "hasOptions": true }, "liveshoppings": [ { "from": "2017-11-11T00:00:00.000Z", "to": "2017-11-11T23:59:59.999Z" } ], "highlight": true, "characteristics": [ null ], "type": "simple", "tags": [ "string" ] } ]}
